List Active Reminders for a Contact
curl --request GET \
--url https://api.virtuoussoftware.com/api/Reminder/ByContact/{contactId}/Active \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Reminder/ByContact/{contactId}/Active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Reminder/ByContact/{contactId}/Active"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Reminder/ByContact/{contactId}/Active");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Reminder/ByContact/{contactId}/Active';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 860007,
"message": "Follow up on capital campaign pledge balance",
"targetDate": "2025-12-01",
"targetResolutionDateUtc": "2025-12-01T17:00:00Z",
"contactId": 100234,
"contactViewUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"contactDisplayName": "Marcus Castellano",
"contactAvatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234/Avatar",
"reminderType": "Task",
"reminderTypeDisplayName": "Task",
"taskStatus": "Open",
"taskStatusDisplayName": "Open",
"completeUrl": "https://api.virtuoussoftware.com/api/Reminder/Completed/860007",
"dismissUrl": "https://api.virtuoussoftware.com/api/Reminder/Dismissed/860007",
"description": "Follow up on capital campaign pledge balance",
"hasContact": true,
"isPastDue": false,
"isUnresolved": true,
"canComplete": true,
"completeActionName": "Complete",
"canCompleteWithNote": true,
"owner": "Development Team",
"ownerAvatarUrl": "https://api.virtuoussoftware.com/avatars/users/development-team.png"
},
{
"id": 860014,
"message": "Send Sofia her recurring gift anniversary thank-you",
"targetDate": "2025-12-04",
"targetResolutionDateUtc": "2025-12-04T17:00:00Z",
"contactId": 101245,
"contactViewUrl": "https://api.virtuoussoftware.com/api/Contact/101245",
"contactDisplayName": "Sofia Hernandez",
"contactAvatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/201245/Avatar",
"reminderType": "Task",
"reminderTypeDisplayName": "Task",
"taskStatus": "Open",
"taskStatusDisplayName": "Open",
"completeUrl": "https://api.virtuoussoftware.com/api/Reminder/Completed/860014",
"dismissUrl": "https://api.virtuoussoftware.com/api/Reminder/Dismissed/860014",
"description": "Send Sofia her recurring gift anniversary thank-you",
"hasContact": true,
"isPastDue": false,
"isUnresolved": true,
"canComplete": true,
"completeActionName": "Complete",
"canCompleteWithNote": true,
"owner": "Development Team",
"ownerAvatarUrl": "https://api.virtuoussoftware.com/avatars/users/development-team.png"
}
],
"total": 27
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Reminders (Deprecated)
List Active Reminders for a Contact
Returns the contact’s reminders that are due and still unresolved. Use skip and take to page through the results.
GET
/
api
/
Reminder
/
ByContact
/
{contactId}
/
Active
List Active Reminders for a Contact
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The contact identifier.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
Last modified on August 11, 2026
Was this page helpful?
⌘I